Skip to main content

PyPI

Base URL: https://drain.lat/api/v1/pypi
Fetch Python package information from PyPI.
GET /api/v1/pypi/package/:name
name
string
required
The PyPI package name to look up.
curl "https://drain.lat/api/v1/pypi/package/requests" \
  -H "x-api-key: YOUR_API_KEY"
name
string
Package name.
version
string
Latest version.
description
string
Package description.
author
string
Package author.
authorEmail
string
Author email address.
license
string
License type.
homepage
string
Package homepage URL.
projectUrls
object
keywords
array
Package keywords.
classifiers
array
Package classifiers.
requiresPython
string
Required Python version.
releases
number
Total number of releases.
pypiUrl
string
Link to the PyPI package page.
Response
{
  "name": "requests",
  "version": "2.31.0",
  "description": "Python HTTP for Humans.",
  "author": "Kenneth Reitz",
  "authorEmail": "me@kennethreitz.org",
  "license": "Apache 2.0",
  "homepage": "https://requests.readthedocs.io",
  "projectUrls": {
    "Documentation": "https://requests.readthedocs.io",
    "Source": "https://github.com/psf/requests"
  },
  "keywords": ["http", "requests", "api"],
  "classifiers": ["Development Status :: 5 - Production/Stable"],
  "requiresPython": ">=3.7",
  "releases": 145,
  "pypiUrl": "https://pypi.org/project/requests/",
  "scrapedAt": "2026-05-31T00:00:00Z"
}